Catalogue API
Create a catalogue item
Create a product or service in the current workspace catalogue.
POST
/v1/catalogue/itemsRequest
Path, query, and JSON body fields accepted by this operation.
kind"product" | "service"requiredbodyhandlestringbodymin length 1max length 120namestringrequiredbodymin length 1max length 160descriptionstring | nullbodydefault nullmax length 5000referencestring | nullbodydefault nullmin length 1max length 120serviceDurationMinutesinteger | nullbodydefault nullmin 5max 1440status"draft" | "active" | "archived"bodydefault "draft"
Response
Successful responses use Dawn's data envelope.
dataCatalogueItemrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredkind"product" | "service"requiredhandlestringrequiredmin length 1max length 120namestringrequiredmin length 1max length 160descriptionstring | nullrequiredmax length 5000referencestring | nullrequiredmin length 1max length 120serviceDurationMinutesinteger | nullrequiredmin 5max 1440status"draft" | "active" | "archived"requiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
409A catalogue item already uses this handle or reference.422The catalogue item is invalid.503The catalogue item could not be saved.
Last updated on